Description

When using a oVirt CR and creating a new host or a edit compute profiles, the networks dropdown list doesn't populate when the

dialog is first rendered. Switching from de pre-selected Default cluster to in my case Test will populate the dropdown list with the

correct networks from that cluster. Switching back to Default will fill it with the networks of the Default cluster.

If I don't do this then my VM won't have a NIC on the oVirt side and Foreman will complain about a blanc MAC.

Attached a log of: login, select compute profiles, select small profile, add network, switch to Test cluster, switch back to Default, add

storage network to profile.

Related issues:

Has duplicate Foreman - Bug #6638: RHEVM compute resource missing networks on... Duplicate 07/16/2014

Associated revisions

Revision a27196f0 - 07/22/2014 07:34 AM - Neil Miao

Fixes #6483 - oVirt network is properly populated for multiple datacenters

Revision 2bb15995 - 07/28/2014 07:28 AM - Neil Miao

Fixes #6483 - oVirt network is properly populated for multiple datacenters

(cherry picked from commit a27196f08e9976e81449c3812cc0008c5d437c7b)

History

#1 - 07/03/2014 07:39 AM - Joop van de Wege

Foreman-1.5.1, oVirt-3.4.2, Centos-6.5 (fully upgraded)

#2 - 07/07/2014 04:15 AM - Dominic Cleal

- Subject changed from Network dropdown not being populated to oVirt network dropdown not being populated

- Category set to Compute resources - oVirt

#3 - 07/08/2014 06:32 AM - Joop van de Wege

Steps to reproduce:

Create new Compute Profile name it 'test2', then edit it and try to add an Interface won't work, change the Template to Blank, save, then edit again,

try to add Interface, works now but no networks available, notice Cluster is correct (Default), switch to a different Cluster, notice the network dropdown

being populated, switch back and the dropdown is again populated but with the networks from the Default cluster.

Another instance I have @home does only have one Cluster and doesn't have this behaviour.

Our Test instance does have the problem too, also two clusters like production

#4 - 07/17/2014 04:48 AM - Neil Miao

having the same issue with Foreman 1.5.1 + RHEV 3.3.3.

It seems the NIC is actually added to the compute profile successfully when the CP created, just that the CP editing page couldn't show it up

correctly.
When I creating a new host, the NIC dropdown do shows up (with the right Network pre-selected) in the Compute Resource tab, when I do these in

order:

1. fill in the host name

2. pick org and location

2. pick the rhev/ovirt compute resource (CR) (wait for the spinning circle disappear)

3. pick the compute profiles (CP) (wait for the spinning circle disappear)

This all good, however, if I create a host group (HG) and attach a CP to this HG, the Network dropdown is empty when creating a host with these

steps:

1. fill in name

2. pick org and location

3. pick the host group (which draws in the compute profile automatically)

4. pick the compute resource

#5 - 07/20/2014 08:38 PM - Neil Miao

https://github.com/theforeman/foreman/pull/1602

#6 - 07/21/2014 03:11 AM - Ori Rabin

- Has duplicate Bug #6638: RHEVM compute resource missing networks on first attempt at new host added

#7 - 07/21/2014 05:15 AM - Dominic Cleal

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1602 added

#8 - 07/21/2014 05:15 AM - Dominic Cleal

- Assignee set to Neil Miao

#9 - 07/22/2014 07:36 AM - Dominic Cleal

- translation missing: en.field_release set to 18

#10 - 07/22/2014 08:01 AM - Neil Miao

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a27196f08e9976e81449c3812cc0008c5d437c7b.

#11 - 07/28/2014 04:06 PM - Bryan Kearney

- Bugzilla link set to 1119899

#12 - 11/27/2014 04:38 PM - Yama Kasi

I see this happening on 1.6.1 - 1.6.3 also.

Adding the same Resource again doesn't add the new networks also.

Any idea how to fix/check ?

#13 - 11/28/2014 04:49 AM - Joop van de Wege

I just checked but I can't reproduce it anymore. I'm currently on Foreman-1.6.3 el6 and oVirt-3.4.2, el6 too.
